import { jsx } from "react/jsx-runtime";
import { StorefrontIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Storefront = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Storefront", ...props, children: /* @__PURE__ */ jsx(StorefrontIcon, { weight: variant }) });
  }
);
Storefront.displayName = "Storefront";
Object.assign(Storefront, { isGdsIcon: true });
export {
  Storefront
};
